import {requestUtil} from "./requestUtil";

const dict = new Map();
export const getDictionary = async (typeId) => {
    if (dict.has(typeId)) {
        return dict.get(typeId);
    }
    let search = encodeURI(`{"data":[
    {"code":"type_id","value":"${typeId}","operateType":"="},
    {"code":"enable_flag","value":"1","operateType":"="}
    ]}`)
    let todo = await requestUtil.get(`/todo-server/search/dict_items?search=${search}`);
    let context = todo.content;
    let result;
    if (context.length > 0) {
        result = new Map(context.map(item => [item.itemCode, item]))
        dict.set(typeId, result);
    }
    return result;
}